import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface BottomBarProps extends BasicWidgetProps {
    // 是否展开
    expand?: boolean
    // 展开标题
    expandTitle?: string
    // 是否有展开按钮
    showExpandButton?: boolean
    // 是否有展开边框
    showExpandBorder?: boolean
    // 高度 rpx
    height: number
    // 最大高度 rpx
    maxHeight?: number
}

export interface BottomBarInstance extends BasicWidgetInstance<BottomBarProps> {
    /**
     * 响应式组件当前高度，单位 rpx
     */
    height: ComputedRef<string>
    /**
     * 切换展开状态
     * @param expand 是否展开
     */
    toggleExpand: (expand?: boolean) => void
}
